# Poco::Net

# class HTTPHeaderInputStream

Library: Net
Package: HTTP
Header: Poco/Net/HTTPHeaderStream.h

## Description

This class is for internal use by HTTPSession only.

## Inheritance

Direct Base Classes: HTTPHeaderIOS, std::istream

All Base Classes: HTTPHeaderIOS, std::ios, std::istream

## Member Summary

Member Functions: operator delete, operator new

Inherited Functions: rdbuf

## Constructors

### HTTPHeaderInputStream

HTTPHeaderInputStream(
HTTPSession & session
);

## Destructor

### ~HTTPHeaderInputStream

~HTTPHeaderInputStream();

## Member Functions

### operator delete

void operator delete(
void * ptr
);

### operator new

void * operator new(
std::size_t size
);